<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.document.library.internal.service.SubscriptionDLAppHelperLocalServiceWrapper" activate="activate" deactivate="deactivate">
  <service>
    <provide interface="com.liferay.portal.kernel.service.ServiceWrapper"/>
  </service>
  <reference name="_assetDisplayPageEntryFormProcessor" interface="com.liferay.asset.display.page.portlet.AssetDisplayPageEntryFormProcessor" field="_assetDisplayPageEntryFormProcessor"/>
  <reference name="_assetDisplayPageEntryLocalService" interface="com.liferay.asset.display.page.service.AssetDisplayPageEntryLocalService" field="_assetDisplayPageEntryLocalService"/>
  <reference name="_assetDisplayPageFriendlyURLProvider" interface="com.liferay.asset.display.page.portlet.AssetDisplayPageFriendlyURLProvider" field="_assetDisplayPageFriendlyURLProvider"/>
  <reference name="_dlAppLocalService" interface="com.liferay.document.library.kernel.service.DLAppLocalService" field="_dlAppLocalService"/>
  <reference name="_dlFileEntryTypeLocalService" interface="com.liferay.document.library.kernel.service.DLFileEntryTypeLocalService" field="_dlFileEntryTypeLocalService"/>
  <reference name="_language" interface="com.liferay.portal.kernel.language.Language" field="_language"/>
  <reference name="_liferayJSONDeserializationWhitelist" interface="com.liferay.portal.json.jabsorb.serializer.LiferayJSONDeserializationWhitelist" field="_liferayJSONDeserializationWhitelist"/>
  <reference name="_localization" interface="com.liferay.portal.kernel.util.Localization" field="_localization"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <reference name="_subscriptionLocalService" interface="com.liferay.subscription.service.SubscriptionLocalService" field="_subscriptionLocalService"/>
  <implementation class="com.liferay.document.library.internal.service.SubscriptionDLAppHelperLocalServiceWrapper"/>
</scr:component>
